RDKit: RDKit::SynthonSpaceSearch::SynthonSpaceSubstructureSearcher Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::SynthonSpaceSearch::SynthonSpaceSubstructureSearcher Class Reference

`#include <SynthonSpaceSubstructureSearcher.h>`

Inheritance diagram for RDKit::SynthonSpaceSearch::SynthonSpaceSubstructureSearcher:

## Public Member Functions
| SynthonSpaceSubstructureSearcher ()=delete
| SynthonSpaceSubstructureSearcher (const ROMol &query, const SubstructMatchParameters &matchParams, const SynthonSpaceSearchParams &params, SynthonSpace &space)
std::vector< std::unique_ptr< SynthonSpaceHitSet > > | searchFragSet (const std::vector< std::unique_ptr< ROMol > > &fragSet, const SynthonSet &reaction) const override
Public Member Functions inherited from RDKit::SynthonSpaceSearch::SynthonSpaceSearcher
| SynthonSpaceSearcher ()=delete
| SynthonSpaceSearcher (const ROMol &query, const SynthonSpaceSearchParams &params, SynthonSpace &space)
| SynthonSpaceSearcher (const SynthonSpaceSearcher &other)=delete
| SynthonSpaceSearcher (SynthonSpaceSearcher &&other)=delete
SynthonSpaceSearcher & | operator= (const SynthonSpaceSearcher &other)=delete
SynthonSpaceSearcher & | operator= (SynthonSpaceSearcher &&other)=delete
virtual | ~SynthonSpaceSearcher ()=default
SearchResults | search ()
void | search (const SearchResultCallback &cb)
SynthonSpace & | getSpace () const
const ROMol & | getQuery () const
const SynthonSpaceSearchParams & | getParams () const
std::unique_ptr< ROMol > | buildAndVerifyHit (const SynthonSpaceHitSet *hitset, const std::vector< size_t > &synthNums) const

## Additional Inherited Members
Protected Member Functions inherited from RDKit::SynthonSpaceSearch::SynthonSpaceSearcher
virtual bool | quickVerify (const SynthonSpaceHitSet *hitset, const std::vector< size_t > &synthNums) const

## Detailed Description

Definition at line 24 of file SynthonSpaceSubstructureSearcher.h.

## Constructor & Destructor Documentation

## ◆ SynthonSpaceSubstructureSearcher() [1/2]

RDKit::SynthonSpaceSearch::SynthonSpaceSubstructureSearcher::SynthonSpaceSubstructureSearcher | ( |  | ) |
| delete

## ◆ SynthonSpaceSubstructureSearcher() [2/2]

RDKit::SynthonSpaceSearch::SynthonSpaceSubstructureSearcher::SynthonSpaceSubstructureSearcher | ( | const ROMol & | query,
|  | const SubstructMatchParameters & | matchParams,
|  | const SynthonSpaceSearchParams & | params,
|  | SynthonSpace & | space )
| inline

Definition at line 27 of file SynthonSpaceSubstructureSearcher.h.

References RDKit::SynthonSpaceSearch::SynthonSpaceSearcher::SynthonSpaceSearcher().

## Member Function Documentation

## ◆ searchFragSet()

std::vector< std::unique_ptr< SynthonSpaceHitSet > > RDKit::SynthonSpaceSearch::SynthonSpaceSubstructureSearcher::searchFragSet | ( | const std::vector< std::unique_ptr< ROMol > > & | fragSet,
|  | const SynthonSet & | reaction ) const
| overridevirtual

Implements RDKit::SynthonSpaceSearch::SynthonSpaceSearcher.

The documentation for this class was generated from the following file:

- SynthonSpaceSubstructureSearcher.h